Bug 1055178 - uglify-js1 should be using the proper system for packaging multiple npm versions
Summary: uglify-js1 should be using the proper system for packaging multiple npm versions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uglify-js1
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: T.C. Hollingsworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 12:05 UTC by Tom Hughes
Modified: 2014-07-22 18:10 UTC (History)
2 users (show)

Fixed In Version: uglify-js1-1.3.4-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-29 17:26:20 UTC


Attachments (Terms of Use)
Patch to update spec file (2.37 KB, patch)
2014-01-19 12:05 UTC, Tom Hughes
no flags Details | Diff

Description Tom Hughes 2014-01-19 12:05:12 UTC
Created attachment 852350 [details]
Patch to update spec file

The attached patch updates uglify-js1 to use the approved system for packaging multiple versions of a node module, and also adjusts things to the latest nodejs packaging standards.

Should we also be moving the files from the -common subpackage to the new web packaging standard?

Comment 1 T.C. Hollingsworth 2014-01-20 01:01:05 UTC
Same here now.

Comment 2 Fedora Update System 2014-01-20 01:09:14 UTC
uglify-js1-1.3.4-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/uglify-js1-1.3.4-5.fc20

Comment 3 Fedora Update System 2014-01-20 01:09:29 UTC
uglify-js1-1.3.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/uglify-js1-1.3.4-5.fc19

Comment 4 Fedora Update System 2014-01-20 01:28:10 UTC
uglify-js1-1.3.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/uglify-js1-1.3.4-4.el6

Comment 5 Fedora Update System 2014-01-21 05:21:34 UTC
Package uglify-js1-1.3.4-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing uglify-js1-1.3.4-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0261/uglify-js1-1.3.4-4.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-06-29 17:23:29 UTC
uglify-js1-1.3.4-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/uglify-js1-1.3.4-9.el6

Comment 7 Fedora Update System 2014-07-22 18:10:06 UTC
uglify-js1-1.3.4-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.